Skip to main content
GET
List Portfolio Balances
Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

The portfolio ID

Query Parameters

symbols
string

A list of symbols by which to filter the response

balance_type
enum<string>

A type by which to filter balances

  • UNKNOWN_BALANCE_TYPE: nil
  • TRADING_BALANCES: Trading balances
  • VAULT_BALANCES: Vault balances
  • TOTAL_BALANCES: Total balances (The sum of vault and trading + prime custody)
  • PRIME_CUSTODY_BALANCES: Prime custody balances
  • UNIFIED_TOTAL_BALANCES: Unified total balance across networks and wallet types (vault + trading + prime custody)
Available options:
TRADING_BALANCES,
VAULT_BALANCES,
TOTAL_BALANCES,
PRIME_CUSTODY_BALANCES,
UNIFIED_TOTAL_BALANCES

Response

200 - application/json

A successful response.

balances
object[]

A list of balances.

type
enum<string>
Available options:
TRADING_BALANCES,
VAULT_BALANCES,
TOTAL_BALANCES,
PRIME_CUSTODY_BALANCES,
UNIFIED_TOTAL_BALANCES
trading_balances
object
vault_balances
object
prime_custody_balances
object